﻿;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
;マクロ
;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
;タイトルのボタンを隠す
[macro name="hide_title_button"]
    
    [anim name="button_title_start" top=400 time=200]
    [wait time=50]
    
    [anim name="button_title_load" top=400 time=200]
    [wait time=50]
    
    [anim name="button_title_replay" top=400 time=200]
    [wait time=50]
    
    [anim name="button_title_manual" top=400 time=200]
    [wait time=50]
    
    [wa]

[endmacro]
;-----------------------------------------------------------
;タイトルボタンを表示する
[macro name="show_title_button"]
    
    [anim name="button_title_start" top=320 time=200 target="*start"]
    [wait time=50]
    
    [anim name="button_title_load" top=320 time=200 target="*load"]
    [wait time=50]
    
    [anim name="button_title_replay" top=320 time=200 target="*replay"]
    [wait time=50]
    
    [anim name="button_title_manual" top=320 time=200 target="*manual"]
    [wait time=50]
    
    [wa]

[endmacro]


;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
;ライブラリ
;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
;ゲームに必要なライブラリ読み込み
[call storage="tyrano.ks"]
[call storage="novel_booster.ks"]
[call storage="an_anim/an_anim.ks"]


;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
;タイトル
;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
[title name="犯罪都市／幸運な花嫁"]

;標準のメッセージレイヤを非表示
@layopt layer="message0" visible = false

;画像の先読み
[preload storage="data/bgimage/title.jpg"]
[preload storage="data/fgimage/logo_trial.png"]

;タイトル表示
[back storage ="title.jpg" time="500"]

[iscript]
    tf.flag_replay = false;
[endscript]

;─────────────────────────────
*title

;曲を再生する
[playbgm storage=vivaldi_4seasons_winter.mp3 loop=false]

;ロゴを表示する
[image storage=logo_trial.png layer=1 visible=true top=85 left=85 ]

;タイトル各種ボタン

[locate x=5 y=400]
[button name="button_title_start" graphic="button_newgame.png" target="*start"]

[locate x=165 y=400]
[button name="button_title_load" graphic="button_load.png" target="*load"]

[locate x=325 y=400]
[button name="button_title_replay" graphic="button_replay.png" target="*replay" ]

[locate x=485 y=400]
[button name="button_title_manual" graphic="button_manual.png" target="*manual"]

[show_title_button]

[s]


;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
;ボタンが押されたときの処理
;━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
;ニューゲームが押された時の処理

*start

[freeimage layer=1]

[showmenubutton]
[hide_title_button]

@jump storage="stage01.ks" target=*start

[s]

;-----------------------------------------------------------
;ロードが押された時の処理

*load

@stopbgm

[freeimage layer=1]

[showmenubutton]
[hide_title_button]

[cm]
[showload]
[jump target=*title]
[cm]

[s]


;-----------------------------------------------------------
;回想モードが選択された時

*replay

@stopbgm

[freeimage layer=1]

[hide_title_button]
[jump storage="replay.ks"]
[s]

;-----------------------------------------------------------
;マニュアルが選択された時

*manual

[freeimage layer=1]

[hide_title_button]

@jump storage="manual.ks" target=*start

[s]
